Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Arnab
Beginner
306 Views

intel advidor: Error while survey analysis of my application [vcs/tpss2/tpss/src/tpss/runtime/linux]

Jump to solution

Hi everyone,

I created a project for my application. The application directory is different from the working directory.

The following options are switched on inside trip counts and FLOP analysis.

1) collect information about Loop Trip Counts

2) collect information about FLOP, L1memory traffic and AVX-512 mask usage

3) capture matrix for dynamic loop and functions

The error message is rather long and I am putting it at the end.

It would be very nice if someone could tell me about the reason behind this error and any possible solution.

Thank you in advance.

Error message:

vcs/tpss2/tpss/src/tpss/runtime/linux/exe/tpss_deepbind.c:237 tpss_deepbind_notify_on_pthread_loaded: Assertion

'((tpss_pthread_key_create_call_t)(((((tpss_probe_t*)g_tpss_probes_table) + g_tpss_pt_id[(tpss_pi_pthread_key_create)]))->trampoline)) != ((void *)0) && ((tpss_pthread_setspecific_call_t)(((((tpss_probe_t*)g_tpss_probes_table) + g_tpss_pt_id[(tpss_pi_pthread_setspecific)]))->trampoline)) != ((void *)0) && ((tpss_pthread_getspecific_call_t)(((((tpss_probe_t*)g_tpss_probes_table) + g_tpss_pt_id[(tpss_pi_pthread_getspecific)]))->trampoline)) != ((void *)0) && ((tpss_pthread_self_call_t)(((((tpss_probe_t*)g_tpss_probes_table) + g_tpss_pt_id[(tpss_pi_pthread_self)]))->trampoline)) != ((void *)0) && ((tpss_pthread_getattr_np_call_t)(((((tpss_probe_t*)g_tpss_probes_table) + g_tpss_pt_id[(tpss_pi_pthread_getattr_np)]))->trampoline)) != ((void *)0) && ((tpss_pthread_attr_getstack_call_t)(((((tpss_probe_t*)g_tpss_probes_table) + g_tpss_pt_id[(tpss_pi_pthread_attr_getstack)]))->trampoline)) != ((void *)0) && ((tpss_pthread_attr_getstacksize_call_t)(((((tpss_probe_t*)g_tpss_probes_table) + g_tpss_pt_id[(tpss_pi_pthread_attr_getstacksize)]))->trampoline)) != ((void *)0) && ((tpss_pthread_attr_setstack_call_t)(((((tpss_probe_t*)g_tpss_probes_table) + g_tpss_pt_id[(tpss_pi_pthread_attr_setstack)]))->trampoline)) != ((void *)0) && ((tpss_pthread_attr_setstacksize_call_t)(((((tpss_probe_t*)g_tpss_probes_table) + g_tpss_pt_id[(tpss_pi_pthread_attr_setstacksize)]))->trampoline)) != ((void *)0) && ((tpss_pthread_attr_destroy_call_t)(((((tpss_probe_t*)g_tpss_probes_table) + g_tpss_pt_id[(tpss_pi_pthread_attr_destroy)]))->trampoline)) != ((void *)0) && ((tpss__pthread_cleanup_push_call_t)(((((tpss_probe_t*)g_tpss_probes_table) + g_tpss_pt_id[(tpss_pi__pthread_cleanup_push)]))->trampoline)) != ((void *)0) && ((tpss__pthread_cleanup_pop_call_t)(((((tpss_probe_t*)g_tpss_probes_table) + g_tpss_pt_id[(tpss_pi__pthread_cleanup_pop)]))->trampoline)) != ((void *)0)' failed.

Labels (1)
0 Kudos

Accepted Solutions
Vladimir_R_Intel
Employee
284 Views

Hi,

you have to update to Advisor 2020 U2, this issue is already fixed there.

The root cause is that few pthread_... symbols completely moved from libpthread to libc in new glibc versions. If you cannot update Advisor you can try to downgrade your glibc as a workaround.

View solution in original post

0 Kudos
4 Replies
Vladimir_R_Intel
Employee
285 Views

Hi,

you have to update to Advisor 2020 U2, this issue is already fixed there.

The root cause is that few pthread_... symbols completely moved from libpthread to libc in new glibc versions. If you cannot update Advisor you can try to downgrade your glibc as a workaround.

View solution in original post

0 Kudos
Arnab
Beginner
268 Views

Hi,

Thank you for your solution. Could you please share how to update to intel advisor 2020 U2?

If there is a link for guide to installation, could you please share?

Is it in the parallel studio cluster version? I have parallel_studio_xe_2020_update1_cluster_edition

If yes, Could you please share the usual folder name or application name where I can find it

If no, could you please how can I get it? Is it only in the paid version? I am using a student version.

 

0 Kudos
Vladimir_R_Intel
Employee
244 Views

Hi,

you can download it from https://software.intel.com/content/www/us/en/develop/tools/advisor/choose-download.html#advisor

You have 4 ways to download it: as standalone product, with parallel studio, with system studio and as a part of oneAPI toolkit. There are various license version, just look at it to find the one you are comfortable with.

0 Kudos
Arnab
Beginner
236 Views

Thank you for the support.

It worked after I uninstalled parallel studio xe 2020 update 1 and then installed parallel studio xe 2020 update 2.

0 Kudos